Categories:
  - Security
License: GPL-3.0-only
SourceCode: https://github.com/LibrePass/LibrePass-Android
IssueTracker: https://github.com/LibrePass/LibrePass-Android/issues
Changelog: https://github.com/LibrePass/LibrePass-Android/releases

AutoName: LibrePass

RepoType: git
Repo: https://github.com/LibrePass/LibrePass-Android
Binaries: https://github.com/LibrePass/LibrePass-Android/releases/download/v%v/LibrePass-signed.apk

Builds:
  - versionName: 1.0.0-alpha03
    versionCode: 3
    commit: 62e895cad9d45d5303c7baf6382ab6d3a3d4105c
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 1.0.0-alpha04
    versionCode: 4
    commit: 566ade33834d02ec615828587cb63151af6c4c20
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 1.0.0-alpha05
    versionCode: 5
    commit: e2bd5ddd1041209d6d224dc6f17f8f18223df5bd
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 1.0.0-alpha06
    versionCode: 6
    commit: 9f0d8cbbe49e0d7629def2fe53d7e5e9b161b7f6
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 1.0.0
    versionCode: 7
    commit: 3e0b4b6c274356a960a64604c0f68050eb471b09
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 1.1.1
    versionCode: 9
    commit: c321fb8c96fb988bc4686382e38c1118b4bf2865
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

AllowedAPKSigningKeys: 679bdee1b6cd07cd29696c6ef66d38c672455eb9e308bed8d76440b3addceba6

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 1.1.1
CurrentVersionCode: 9
